summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2009-05-31 09:45:51 +0000
committerTomas Chvatal <scarabeus@gentoo.org>2009-05-31 09:45:51 +0000
commit077ee8fe5b4365a57f24b0c4539b63d6e80004a6 (patch)
treec6f87a421d5a2712f3e8edc06e5b69e5b31f70a4 /eclass
parentRemove old versions. (diff)
downloadgentoo-2-077ee8fe5b4365a57f24b0c4539b63d6e80004a6.tar.gz
gentoo-2-077ee8fe5b4365a57f24b0c4539b63d6e80004a6.tar.bz2
gentoo-2-077ee8fe5b4365a57f24b0c4539b63d6e80004a6.zip
Update linguas detection code to work as expected.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde4-functions.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/kde4-functions.eclass b/eclass/kde4-functions.eclass
index 09e61b56e6ef..13e3d17027a8 100644
--- a/eclass/kde4-functions.eclass
+++ b/eclass/kde4-functions.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.19 2009/05/28 09:47:52 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.20 2009/05/31 09:45:51 scarabeus Exp $
# @ECLASS: kde4-functions.eclass
# @MAINTAINER:
@@ -126,6 +126,9 @@ enable_selected_linguas() {
## even if you don't have it in make.conf
## Im leaving the command that *should* work if LINGUAS was unset commented
# if there is no linguas defined we enable everything
+ if ! $(env | grep -q "^LINGUAS="); then
+ return 0
+ fi
# [[ ! ${LINGUAS+set} = set ]] && LINGUAS="*"
# ebuild overridable linguas directory definition
KDE_LINGUAS_DIR=${KDE_LINGUAS_DIR:="${S}/po"}